export declare const $constants: {
    DAY_START_TIME: string;
    DAY_END_TIME: string;
    DAY_START_HOUR: number;
    DAY_END_HOUR: number;
    CELL_HEIGHT: number;
    WEDNESDAY: number;
};
export declare const calendarViewProps: {
    _constants: {
        type: ObjectConstructor;
        default: () => {
            DAY_START_TIME: string;
            DAY_END_TIME: string;
            DAY_START_HOUR: number;
            DAY_END_HOUR: number;
            CELL_HEIGHT: number;
            WEDNESDAY: number;
        };
    };
    modelValue: {};
    showMark: {};
    showNewSchedule: {};
    setDayBgColor: {};
    disabled: {};
    mode: {
        type: StringConstructor;
        default: string;
        validator: (value: any) => number;
    };
    modes: {
        type: ArrayConstructor;
        default(): string[];
    };
    year: {
        type: NumberConstructor;
        default(): number;
    };
    month: {
        type: NumberConstructor;
        default(): number;
    };
    dayTimes: {
        type: ArrayConstructor;
        default(): number[];
        validator: (value: any) => boolean;
    };
    events: {
        type: ArrayConstructor;
        default(): never[];
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    markColor: {
        type: StringConstructor;
        default: string;
    };
    multiSelect: {
        type: BooleanConstructor;
        default: boolean;
    };
    showBackToday: {
        type: BooleanConstructor;
        default: boolean;
    };
    showTipTime: {
        type: BooleanConstructor;
        default: boolean;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
};
declare const _default: any;
export default _default;
